NX Open C++ Reference Guide
|
Represents subdivision cage topology object selection. More...
Public Member Functions | |
bool | CanDeselectObjectsAutomatically () |
Returns the flag indicating if previously selected objects can be de-selected during selection of new objects. | |
void | ClearAndAdd (const std::vector< NXOpen::NXObject * > &objects, NXOpen::View *view, const NXOpen::Point3d &point) |
Clears the currently present objects and adds new objects. | |
NXOpen::SelectDisplayableObjectList * | SelectionList () |
Returns the object list. | |
void | SetCanDeselectObjectsAutomatically (bool canDeselect) |
Sets the flag indicating if previously selected objects can be de-selected during selection of new objects. | |
void | SetCursorLocation (const NXOpen::Point3d &point) |
Sets the cursor location in absolute coordinates. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents subdivision cage topology object selection.
Created in NX9.0.0.
bool NXOpen::Features::Subdivision::SelectCageObjectData::CanDeselectObjectsAutomatically | ( | ) |
Returns the flag indicating if previously selected objects can be de-selected during selection of new objects.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::Subdivision::SelectCageObjectData::ClearAndAdd | ( | const std::vector< NXOpen::NXObject * > & | objects, |
NXOpen::View * | view, | ||
const NXOpen::Point3d & | point | ||
) |
Clears the currently present objects and adds new objects.
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
objects | Objects to process. |
view | Selected object view when selecting a single object. |
point | Selected object point when selecting a single object. |
NXOpen::SelectDisplayableObjectList* NXOpen::Features::Subdivision::SelectCageObjectData::SelectionList | ( | ) |
Returns the object list.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::Subdivision::SelectCageObjectData::SetCanDeselectObjectsAutomatically | ( | bool | canDeselect | ) |
Sets the flag indicating if previously selected objects can be de-selected during selection of new objects.
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
canDeselect | candeselect |
void NXOpen::Features::Subdivision::SelectCageObjectData::SetCursorLocation | ( | const NXOpen::Point3d & | point | ) |
Sets the cursor location in absolute coordinates.
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
point | point |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.